/* LANDING PAGE STUDY ZONE */
/* HERO SECTION  */
body {
	color: #1d1540;
}

.first-offer-container {
	background-color: #181646;
	/* background: linear-gradient(#d1d0f5, #331f8c); */
	box-shadow: 0 4px 5px 1px rgba(0, 0, 0, 0.354);
	color: #fff;
	font-weight: 600;
	width: 30rem;
	/* height: 5rem; */

	padding: 1.4em;
	border-radius: 13px;

	font-size: 1.2rem;

	display: flex;
	justify-content: center;
	align-items: center;
	flex-direction: column;
}

.register-count-container {
	background-color: rgb(255, 255, 255);
	width: 18rem;
	height: 1.4rem;
	position: relative;
	z-index: 2;
	border-radius: 8px;
}

.total-length {
}

.filled-length {
	position: absolute;
	top: 0;
	left: 0;
	background-color: #615ccb;
	/* width: 90%; */
	height: 1.4rem;
	z-index: 3;

	border-radius: 8px;
}

.accent-text {
	color: #fff;
	background-color: #d1d0f5;
	padding: 0.4rem 0.8rem;
	border-radius: 100px;
	color: #615ccb;
	background-color: #f0f0f7;
	margin-bottom: 0.3rem;
	display: inline-block;

	text-transform: uppercase;
	font-size: 0.8rem;
	font-weight: 600;
}

.text-highilight {
	color: #615ccb;
}
.hero {
	& img {
		border-radius: 15px;
	}
}

/* FEATURES */
.library-features-section {
	padding: 1.8rem;
	background-color: #f5f5fd;
}

.library-features-box {
	display: grid;
	gap: 2.2rem;
	grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}

.library-feature-card {
	padding: 1.5rem;
	border-radius: 15px;
	position: relative;
	background-color: #d1d0f5;
	z-index: 2;

	display: flex;

	& div:nth-child(1) {
		& i {
			font-size: 2.4rem !important;
			margin-bottom: 0.8rem;
		}

		& h3 {
			font-size: 1.3rem !important;
			margin-bottom: 1.2rem;
		}
	}

	&::after {
		content: '';
		display: block;
		height: 100%;
		width: 100%;

		top: -1rem;
		left: 0;
		position: absolute;
		background-color: #fff;
		border-radius: 15px;
		padding: 1.5rem;
		z-index: -2;
	}
}

.study-zone-navbar {
	justify-content: space-around !important;
}

.error {
	color: red !important;
	font-weight: 500 !important;
}

input::-webkit-inner-spin-button,
input::-webkit-outer-spin-button {
	-webkit-appearance: none;
}
input[type='number'] {
	appearance: none;
	-moz-appearance: textfield;
}

/* OUR BRANCHES */
.branches-container {
	background-color: #c4c4caaa !important;
}

.branches-card {
	padding: 1.5rem;
	border-radius: 15px;
	position: relative;
	/* background-color: #d1d0f5; */
	border: 1px solid #d1d0f58c;
	box-shadow: 0 4px 5px 1px #0000002d;
	background-color: #fff;
	z-index: 2;

	& div:nth-child(1) {
		& > i {
			font-size: 2.4rem !important;
			margin-bottom: 0.8rem;
		}

		& p,
		& a {
			text-decoration: none;
			color: inherit;
			display: flex;
			align-items: center;
			gap: 0.4rem;
			margin-bottom: 0.7rem;
			& i {
				font-size: 0.9rem;
				margin-bottom: img-f0;
			}
		}

		& p {
			align-items: start;
		}

		& h3 {
			font-size: 1.3rem !important;
			margin-bottom: 1.2rem;
		}
	}

	/* 
	&::after {
		content: '';
		display: block;
		height: 100%;
		width: 100%;

		top: -1rem;
		left: 0;
		position: absolute;
		background-color: #fff;
		border-radius: 15px;
		padding: 1.5rem;
		z-index: -2;
	} */
}
